package flow

import chisel3._
import chiseltest._
import org.scalatest.freespec.AnyFreeSpec
import chiseltest.simulator.WriteVcdAnnotation
import flow.stages._
import flow.Params

import flow.Flow
import flow.tests.defaultParams
import flow.stages.messages._

class RV32CPUSpec extends AnyFreeSpec with ChiselScalatestTester {
  "IF" - {
    implicit val p: Params = defaultParams()
    class TestIF extends Module {
      val IF = Module(new IF)
      val io = IO(new Bundle {
        val out = Output(new IF2ID)
      })
      io.out := IF.msgio.out
      IF.msgio.out.ready := DontCare
      IF.io.fromRam := DontCare
      IF.io.fromEx := DontCare
    }
    "should compile" in {
      test(new TestIF) { c => }
    }
  }
}
