package flow.tests

import chisel3._
import chiseltest._
import org.scalatest.freespec.AnyFreeSpec
import flow.components._

class ProgramCounterSpec extends AnyFreeSpec with ChiselScalatestTester {
  implicit val p: flow.Params = defaultParams()
  "should compile" in {
    test(new newProgramCounter) { c =>
      c.clock.step(1)
    }
  }

  "Static next pc" in {
    test(new newProgramCounter) { c =>
      import flow.components.newPcControlInterface.SrcSelect._
      c.control.srcSelect.poke(pStatic)
      c.clock.step(1)
      c.out.expect(p.resetVector + 4)
    }
  }
}
